<template>
  <AllChannel v-if="channel === '1'" v-model:channel="channel"></AllChannel>
  <OtherChannel v-else v-model:channel="channel"></OtherChannel>
</template>
<script setup lang="ts" name="countMainTrend">
const AllChannel = defineAsyncComponent(() => import('./allChannel.vue'));
const OtherChannel = defineAsyncComponent(() => import('./otherChannel.vue'));

const channel = ref('1')
</script>